List templates
Returns all of the authenticated user’s shift templates.
GET
/v1/templates
const url = 'https://api.shiftsync.app/v1/templates';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.shiftsync.app/v1/templates \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The caller’s templates
Media typeapplication/json
object
items
required
Array
object
id
required
integer
title
required
string
shortTitle
required
string
notes
string
colorId
required
integer
icon
userId
required
integer
visibility
required
string
payRateMinor
integer
Any of:
object
allDay
required
boolean
object
isSplit
boolean
startTime
required
string
endTime
required
string
splitStartTime
string
splitEndTime
string
Example
{ "items": [ { "id": 0, "title": "string", "shortTitle": "string", "notes": "string", "colorId": 0, "icon": { "type": "icon", "name": "moon" }, "userId": 0, "visibility": "public", "payRateMinor": 0, "allDay": true } ]}